Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class PoissonDistCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.random.PoissonDistCImpl

public class PoissonDistCImpl
extends PhaseCImpl
implements UnsignedDistributionC, UnsignedDistributionS, PoissonDistS, PoissonDistC

Poisson distribution. A distribution used to model the integer number of occurrences of some event over an interval of time or space.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`PoissonDistCImpl()`
`PoissonDistCImpl(PoissonDist nextPhase)`

Methods implemented by this class for interface swarm.random.PoissonDistS
`setInterval, setOccurRate, setOccurRate$setInterval`

Methods implemented by this class for interface swarm.random.PoissonDistC
`create$setGenerator$setOccurRate$setInterval, create$setGenerator$setVirtualGenerator$setOccurRate$setInterval`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionC
`create$setGenerator, create$setGenerator$setVirtualGenerator, createWithDefaults`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoissonDistCImpl

    public PoissonDistCImpl(PoissonDist nextPhase)

### PoissonDistCImpl

    public PoissonDistCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD